Bug 65201 - PHP imap_open doesn't work
PHP imap_open doesn't work
Status: CLOSED DUPLICATE of bug 65190
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
http://web.rosariofamily.com/php/, ht...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 23:56 EDT by David Rosario
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-19 23:56:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Rosario 2002-05-19 23:56:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I had a RH7.1 system where I created a webmail system using PHP/IMAP.  I used
the supplied Apache rpms (didn't compile my own) but I built my own PHP module
(4.1.2) to avoid the exploits in pre-4.1.2.  I
compiled IMAP support using the University of Washington's c-client I downloaded
(part of their imap server) but didn't use that imap server.  I used the imapd
rpm from RH7.1.  It all worked perfectly.  I rebuilt the server using RH7.3 with
the included rpms for php/imap (and imap-devel, etc).  The app no longer works.
 From the browser, I 
get:

Warning: Couldn't open stream {192.168.1.2}INBOX in /var/www/html/imap/auth.php
on line 19

The line looks something like this:

$mailbox=imap_open("{192.168.1.2}INBOX","user","passwd");

I don't want to have to rebuild PHP and I'm about to start writing my own imap
functions that use sockets, but I shouldn't have to.

I get messages in /var/log/maillog like this:

May 18 19:24:28 home2 imapd[6990]: imap service init from 192.168.1.2
May 18 19:24:28 home2 imapd[6990]: Command stream end of file, while reading
line user=??? host=UNKNOWN

RH says that this is not covered in the SLA, but I'm a bit upset that THEY
compiled these rpms that are somehow broken.

The imap server works fine when using Outlook Express, Mozilla, Kmail, etc.  PHP
works fine.  PHP+IMAP=dead.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. $mailbox=imap_open("{192.168.1.2}INBOX","user","passwd");
2. Invoke from browser


Actual Results:  Warning: Couldn't open stream {192.168.1.2}INBOX in
/var/www/html/imap/auth.php on line 19


Additional info:
Comment 1 Phil Copeland 2002-05-20 17:02:56 EDT

*** This bug has been marked as a duplicate of 65190 ***

Note You need to log in before you can comment on or make changes to this bug.